# AMBARI AIRFLOW MPACK
<h1>Apache Airflow Management Pack for Ambari.</h1>

Install Apache Airflow with Ambari using this management pack created by Acceldata

#### Version Key
- Apache Airflow 2.8.1  - Apache Airflow 1.0.0 mpack, compatible from ODP v3.3.0 release onwards.

#### Usage Notes
- Minimal install requires Ambari
- For Authentication integration it is compatible with LDAP and Kerberos

# Installation
Steps to Install Ambari Airflow Mpack:
1. Download branch from code and zip with tar.gz extension
2. Upload gzipped file to ambari-server
3. Execute below command for installation
```
ambari-server install-mpack --mpack=ambari-mpacks-airflow-2.8.1.tar.gz --verbose
```
After running above commands you will see this message
```
INFO: Management pack airflow-ambari-mpack-2.8.1 successfully installed! Please restart ambari-server.
INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
Ambari Server 'install-mpack' completed successfully.
```
But it requires few symlink changes before Ambari server restart.
```
cd /var/lib/ambari-server/resources/stacks/ODP/3.0/services
unlink AIRFLOW
ln -s /var/lib/ambari-server/resources/mpacks/airflow-ambari-mpack-2.8.1/common-services/AIRFLOW/2.8.1 AIRFLOW
cd /var/lib/ambari-server/resources/stacks/ODP/3.1/services
unlink AIRFLOW
ln -s /var/lib/ambari-server/resources/mpacks/airflow-ambari-mpack-2.8.1/common-services/AIRFLOW/2.8.1 AIRFLOW
cd /var/lib/ambari-server/resources/stacks/ODP/3.2/services
unlink AIRFLOW
ln -s /var/lib/ambari-server/resources/mpacks/airflow-ambari-mpack-2.8.1/common-services/AIRFLOW/2.8.1 AIRFLOW

ambari-server restart
```

4. Login to Ambari UI and go to Add Apache Airflow service
5. Select hosts for Apache Airflow server
6. Start all stopped or required services

# Uninstallation
Steps to Uninstall Ambari Airflow Mpack:
1. Login to Ambari service and goto Apache Airflow section
2. Stop Apache Airflow servers and delete permanently
3. Execute below command for uninstallation
```
ambari-server uninstall-mpack --mpack-name=airflow-ambari-mpack
ambari-server restart
```
